<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Title</title>
  </head>
  <body>
    <form action="" id="add-product">
      <input
        type="text"
        id="product-short-name"
        placeholder="Краткое название товара"
      />
      <input
        type="text"
        id="product-full-name"
        placeholder="Полное название товара"
      />
      <input type="text" id="product-article" placeholder="Артикул товара" />
      <input type="text" id="product-price" placeholder="Цена товара" />
      <select name="" id="product-type">
        <option selected disabled>Тип товара</option>
        <option value="notebook">Ноутбук</option>
        <option value="phone">Телефон</option>
      </select>
      <input type="submit" value="Создать товар" />
    </form>
    <ul id="products"></ul>
    <script>
      // создаем массив продуктов
      const products = [];

      // находим форму по id
      const formAddProduct = document.getElementById("add-product");

      //  вешаем обработчик события сабмита
      formAddProduct.addEventListener("submit", function (e) {
        // отменяем перезагрузку страницы после сабмита
        e.preventDefault();

        // находим элементы формы, this ссылается на formAddProduct
        const shortName = this.querySelector("#product-short-name");
        const fullName = this.querySelector("#product-full-name");
        const article = this.querySelector("#product-article");
        const price = this.querySelector("#product-price");
        const type = this.querySelector("#product-type");

        // используем конструктор Procuct для создания объекта
        const product = new Product(
          type.value,
          shortName.value,
          fullName.value,
          article.value,
          price.value
        );

        // добавляем в массив продуктов
        // products.push(product);
        // стираем значения из инпутов инпуты
        resetInputs(shortName, fullName, article, price);
        addProductToPage(product);
      });

      // функция для стирания значений из инпутов
      function resetInputs(...inputs) {
        inputs.forEach((input) => (input.value = ""));
      }

      function addProductToPage(product) {
        document.getElementById("products").insertAdjacentHTML(
          "beforeend",
          `
            <li>type: ${product.type}; shortName: ${product.shortName} </li>
          `
        );
      }

      // так будет выглядеть продукт в итоге

      /*
        const product = {
            type: "notebook",
            shortName: "Lenovo S120W",
            fullName: "Lenovo S120W (S123X44 Z)",
            article: 4542323,
            price: 19600,
            getStockPrice: function (stockValue) {
                return this.price*((100 - stockValue)/100);
            }
        }
        */
      // функция конструктор для создания продукта
      function Product(type, shortName, fullName, article, price) {
        this.type = type;
        this.shortName = shortName;
        this.fullName = shortName;
        this.article = article;
        this.price = price;
        this.getStockPrice = function (price) {
          return this.price * ((100 - price) / 100);
        };
      }

      // const product1 = new Product("notebook", "Lenovo S120W", "Lenovo S120W (S123X44 Z)", 4542323, 19600);
      // const product2 = new Product("notebook", "Lenovo S120W", "Lenovo S120W (S123X44 Z)", 4542323, 19600);

      // console.log(product.type);
      // console.log(product.price);
      // console.log(product.getStockPrice(10));
    </script>
  </body>
</html>
